Debian Bug report logs - #594651
Problem with the pos-install configuration of klibc-utils

version graph

Package: klibc-utils; Maintainer for klibc-utils is maximilian attems <maks@debian.org>; Source for klibc-utils is src:klibc.

Reported by: Ramon Ramos <ramonramospaz@gmail.com>

Date: Sat, 28 Aug 2010 03:33:01 UTC

Severity: important

Tags: upstream

Found in version klibc/1.5.19-1

Fixed in version klibc/1.5.20-1

Done: maximilian attems <maks@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, maximilian attems <maks@debian.org>:
Bug#594651; Package klibc-utils. (Sat, 28 Aug 2010 03:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ramon Ramos <ramonramospaz@gmail.com>:
New Bug report received and forwarded. Copy sent to maximilian attems <maks@debian.org>. (Sat, 28 Aug 2010 03:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ramon Ramos <ramonramospaz@gmail.com>
To: submit@bugs.debian.org
Subject: Problem with the pos-install configuration of klibc-utils
Date: Fri, 27 Aug 2010 22:58:08 -0430
[Message part 1 (text/plain, inline)]
Package: klibc-utils
Version: 1.5.19-1
Justification: renders package unusable
Severity: grave
Tags: upstream

Hi guys,

when i tried to update the package klibc-utils, the system showed me this
message.

setting klibc-utils (1.5.19-1) ...
rmdir: failed to remove «/usr/share/doc/klibc-utils»: the directory is empty
dpkg: error al procesar klibc-utils (--configure):

Thanks for your time.



-- System Information:
Debian Release: squeeze/sid
APT prefers unstable
APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.31-1-686-bigmem (SMP w/2 CPU cores)
Locale: LANG=es_VE.UTF-8, LC_CTYPE=es_VE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages klibc-utils depends on:
ii  libklibc                      1.5.19-1   minimal libc subset for use
with i

klibc-utils recommends no packages.

klibc-utils suggests no packages.

-- no debconf information
                                                              38,1
 Final
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, maximilian attems <maks@debian.org>:
Bug#594651; Package klibc-utils. (Sat, 28 Aug 2010 03:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ramon Ramos <ramonramospaz@gmail.com>:
Extra info received and forwarded to list. Copy sent to maximilian attems <maks@debian.org>. (Sat, 28 Aug 2010 03:54:05 GMT) Full text and rfc822 format available.

Message #10 received at 594651@bugs.debian.org (full text, mbox):

From: Ramon Ramos <ramonramospaz@gmail.com>
To: 594651@bugs.debian.org
Subject: Fwd: Problem with the pos-install configuration of klibc-utils
Date: Fri, 27 Aug 2010 23:22:51 -0430
[Message part 1 (text/plain, inline)]
Hi again guys,

I fixed the problem changing the file klibc-utils.postinst. Here is the new
code:
------------------------------------------------------------------------------------------------------------------
#!/bin/sh

set -e

if [ ! -L /usr/share/doc/klibc-utils ] && \
[ -e /usr/share/doc/klibc-utils ]; then
        rm  /usr/share/doc/klibc-utils -R
        cd /usr/share/doc/
        ln -sf libklibc /usr/share/doc/klibc-utils
fi

----------------------------------------------------------------------------------------------------

I dont know if it was a good idea, what do you think??

---------- Forwarded message ----------
From: Ramon Ramos <ramonramospaz@gmail.com>
Date: Fri, Aug 27, 2010 at 10:58 PM
Subject: Problem with the pos-install configuration of klibc-utils
To: submit@bugs.debian.org


Package: klibc-utils
Version: 1.5.19-1
Justification: renders package unusable
Severity: grave
Tags: upstream

Hi guys,

when i tried to update the package klibc-utils, the system showed me this
message.

setting klibc-utils (1.5.19-1) ...
rmdir: failed to remove «/usr/share/doc/klibc-utils»: the directory is empty
dpkg: error al procesar klibc-utils (--configure):

Thanks for your time.



-- System Information:
Debian Release: squeeze/sid
APT prefers unstable
APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.31-1-686-bigmem (SMP w/2 CPU cores)
Locale: LANG=es_VE.UTF-8, LC_CTYPE=es_VE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages klibc-utils depends on:
ii  libklibc                      1.5.19-1   minimal libc subset for use
with i

klibc-utils recommends no packages.

klibc-utils suggests no packages.

-- no debconf information
                                                              38,1
 Final
[Message part 2 (text/html, inline)]

Severity set to 'important' from 'grave' Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Sat, 28 Aug 2010 10:27:12 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Sat, 28 Aug 2010 11:03:03 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. (Sat, 28 Aug 2010 11:33:14 GMT) Full text and rfc822 format available.

Notification sent to Ramon Ramos <ramonramospaz@gmail.com>:
Bug acknowledged by developer. (Sat, 28 Aug 2010 11:33:14 GMT) Full text and rfc822 format available.

Message #19 received at 594651-close@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@debian.org>
To: 594651-close@bugs.debian.org
Subject: Bug#594651: fixed in klibc 1.5.20-1
Date: Sat, 28 Aug 2010 11:32:27 +0000
Source: klibc
Source-Version: 1.5.20-1

We believe that the bug you reported is fixed in the latest version of
klibc, which is due to be installed in the Debian FTP archive:

klibc-utils-floppy-udeb_1.5.20-1_amd64.udeb
  to main/k/klibc/klibc-utils-floppy-udeb_1.5.20-1_amd64.udeb
klibc-utils-udeb_1.5.20-1_amd64.udeb
  to main/k/klibc/klibc-utils-udeb_1.5.20-1_amd64.udeb
klibc-utils_1.5.20-1_amd64.deb
  to main/k/klibc/klibc-utils_1.5.20-1_amd64.deb
klibc_1.5.20-1.debian.tar.gz
  to main/k/klibc/klibc_1.5.20-1.debian.tar.gz
klibc_1.5.20-1.dsc
  to main/k/klibc/klibc_1.5.20-1.dsc
klibc_1.5.20.orig.tar.gz
  to main/k/klibc/klibc_1.5.20.orig.tar.gz
libklibc-dev_1.5.20-1_amd64.deb
  to main/k/klibc/libklibc-dev_1.5.20-1_amd64.deb
libklibc-udeb_1.5.20-1_amd64.udeb
  to main/k/klibc/libklibc-udeb_1.5.20-1_amd64.udeb
libklibc_1.5.20-1_amd64.deb
  to main/k/klibc/libklibc_1.5.20-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 594651@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
maximilian attems <maks@debian.org> (supplier of updated klibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 28 Aug 2010 12:23:51 +0200
Source: klibc
Binary: libklibc-dev libklibc klibc-utils klibc-utils-udeb klibc-utils-floppy-udeb libklibc-udeb
Architecture: source amd64
Version: 1.5.20-1
Distribution: unstable
Urgency: high
Maintainer: maximilian attems <maks@debian.org>
Changed-By: maximilian attems <maks@debian.org>
Description: 
 klibc-utils - small utilities built with klibc for early boot
 klibc-utils-floppy-udeb - small utilities built with klibc for the boot floppy (udeb)
 klibc-utils-udeb - small utilities built with klibc for early boot (udeb)
 libklibc   - minimal libc subset for use with initramfs
 libklibc-dev - kernel headers used during the build of klibc
 libklibc-udeb - minimal libc subset for use with initramfs (udeb)
Closes: 552554 594208 594651
Changes: 
 klibc (1.5.20-1) unstable; urgency=high
 .
   * New upstream release
     - ipconfig: fix infinite loop. (closes: #552554)
     - ipconfig: fix multiple dns domains. (closes: #594208)
   * klibc-utils.postinst: Nuke non empty dirs too. (closes: #594651)
Checksums-Sha1: 
 cb0d37ee43004fa3a5f1a44993264e32c68878cb 1243 klibc_1.5.20-1.dsc
 2d735ef63a6fb0106c0a6f0c4c74cd3f21f2fa22 608198 klibc_1.5.20.orig.tar.gz
 d52d915beabee1ada6a05d267bf8dd25877cc9c4 16081 klibc_1.5.20-1.debian.tar.gz
 a9dad91c6f5bb3218f81b1229f0e2544bb24a34c 229624 libklibc-dev_1.5.20-1_amd64.deb
 c439a751ca0ee1cd4e533757ed87d42b5aac7d7e 53462 libklibc_1.5.20-1_amd64.deb
 a885e853ef78f39889c885a11a1311207f266bd8 179354 klibc-utils_1.5.20-1_amd64.deb
 c342b5fb8d4a706ff6cceeae97109bda4c00a808 178054 klibc-utils-udeb_1.5.20-1_amd64.udeb
 fa134e698eb1745967af1164d0f5f0a76ea05bb5 24970 klibc-utils-floppy-udeb_1.5.20-1_amd64.udeb
 a01881f3c873765e4c892f99b7b031fb6c1c2bd2 37456 libklibc-udeb_1.5.20-1_amd64.udeb
Checksums-Sha256: 
 74ae5061915926b318dfca51177d6a729b06c0f73a0978a0727be1be10aa45be 1243 klibc_1.5.20-1.dsc
 60cff8d3175f6a0e71ee3d74e801d3b06ea26ad580d11a9dde3fdd487cbc2097 608198 klibc_1.5.20.orig.tar.gz
 067c7bb9f8237ba618580c778d1d47c3b7b7fe013cfe9e2340572d74fb496cae 16081 klibc_1.5.20-1.debian.tar.gz
 d0a1d7c96e8d6cd230ce65d129a328695bbb21085f17d64be56f8467f0bdb6f0 229624 libklibc-dev_1.5.20-1_amd64.deb
 cd80c3e2a92b0f0debabc7f5aec2a4a08be31aa5da626f486852ad412e750bbf 53462 libklibc_1.5.20-1_amd64.deb
 1128443f629618603d1dbb5ddc7c06f8f16f633b3dd6ca3f23ad1b4804179506 179354 klibc-utils_1.5.20-1_amd64.deb
 7db49529c9bcec6c85575f38932722e0859de8cbb9e2faefe99a819d959102b7 178054 klibc-utils-udeb_1.5.20-1_amd64.udeb
 e179da14efe4a582c2dabbef683ff284e493ae4a75cf1249c7ef5ab8101ad4df 24970 klibc-utils-floppy-udeb_1.5.20-1_amd64.udeb
 418f8244ef2cf92293364dbd60e7aa6109c8e89013924ea3dcb10e7a951e5e89 37456 libklibc-udeb_1.5.20-1_amd64.udeb
Files: 
 22e213bfa2c81607a69b23b56f09ab99 1243 libs optional klibc_1.5.20-1.dsc
 cf816fec080a7a426291c7bdafc3e274 608198 libs optional klibc_1.5.20.orig.tar.gz
 094d4f85ff91ff3d93537485251970a1 16081 libs optional klibc_1.5.20-1.debian.tar.gz
 58e0bef327652adaa3e0888ba8b33741 229624 libdevel optional libklibc-dev_1.5.20-1_amd64.deb
 63b5f85901d4905ab6e4dea185048609 53462 libs optional libklibc_1.5.20-1_amd64.deb
 89c3a422ebb08307bd9f35bce87b0545 179354 libs optional klibc-utils_1.5.20-1_amd64.deb
 56152dc123bf2d17283ab83612d6609c 178054 debian-installer optional klibc-utils-udeb_1.5.20-1_amd64.udeb
 032147b3c85fe1610802c455c0d2e518 24970 debian-installer optional klibc-utils-floppy-udeb_1.5.20-1_amd64.udeb
 36099edfa8cfc4f5bb80feb123aab44b 37456 debian-installer optional libklibc-udeb_1.5.20-1_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkx47v4ACgkQeW7Lc5tEHqgk8wCeOxVy2WAYyH7nPJxDvCWJ+/OD
QLMAoK8Hlp25BC/Ds97Vuevf/+qfxDH/
=ZgGL
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 28 Sep 2010 07:34:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:12:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.